<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Factor" package="performa.orm">
                      
        <MULTIPLEREFERENCE  name="Levels"           type="FactorLevelLink"      backreferenceName="Factor" />
        <MULTIPLEREFERENCE  name="Questions"        type="FactorQuestionLink"   backreferenceName="Factor" />
        <MULTIPLEREFERENCE  name="Results"          type="FactorScoreResult"    backreferenceName="Factor" />
        <MULTIPLEREFERENCE  name="HighLowQuestions" type="Question"             backreferenceName="HighLowFactor" />
        <MULTIPLEREFERENCE  name="LevelFactorTypes" type="LevelFactorType"      backreferenceName="Factor"  />
  
        <TABLE  name="tl_factor"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Description"  type="String"   dbcol="factor_hdr_desc" length="30"/>
           
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_factor.object_id is not null"   orderBy="tl_factor.object_id"   />
        
    </BUSINESSCLASS>
    
</ROOT>